%define glibcrelease 19.3c
Summary: The GNU libc libraries.
Name: compat-glibc
Version: 2.2.4
Release: %{glibcrelease}.1
Copyright: LGPL
Group: System Environment/Libraries
Source0: glibc-%{version}-%{glibcrelease}.s390.rpm
Source2: glibc-common-%{version}-%{glibcrelease}.s390.rpm
# In the source tarball the file diff-CYGNUS-to-REDHAT.patch contains all
# diffs applied by Red Hat to the current CVS version of glibc
Buildroot: %{_tmppath}/compat-glibc-%{PACKAGE_VERSION}-root
Obsoletes: zoneinfo, libc-static
Obsoletes:  linuxthreads, gencat, locale, ldconfig, locale-ja
Provides: ldconfig
Autoreq: false
Requires: glibc-common = %{version}

%description
The glibc package contains standard libraries which are used by
multiple programs on the system. In order to save disk space and
memory, as well as to make upgrading easier, common system code is
kept in one place and shared between programs. This particular package
contains the most important sets of shared libraries: the standard C
library and the standard math library. Without these two libraries, a
Linux system will not function.

%prep
#%setup -q
rm -rf %{name}-%{version}
mkdir -m 0755 -p %{name}-%{version}
cd %{name}-%{version}

#%build

%install
rm -f *.filetype
rm -rf $RPM_BUILD_ROOT
mkdir -m 0755 -p $RPM_BUILD_ROOT/usr/lib/s390
cd $RPM_BUILD_ROOT/usr/lib/s390
rpm2cpio %{SOURCE0} | cpio -mid 
mkdir -m 0755 -p ../../../lib
ln -sf /usr/lib/s390/lib/ld.so.1 ../../../lib/ld.so.1
rpm2cpio %{SOURCE2} | cpio -mid

#cd %{_builddir}
#pwd
#rm -f rpm.filelist
#set -
#for i in `rpm -qpl %{SOURCE0}`; do
#   FTYPE=`file -b $RPM_BUILD_ROOT/usr/lib/s390$i`
#   if [ ":$FTYPE" != ":directory" ] ; then
#      echo /usr/lib/s390$i >> rpm.filelist
#   fi
#done
#
#echo /lib/ld.so.1 >> rpm.filelist
#
#for i in `rpm -qpl %{SOURCE2} | grep -v locale | grep -v zoneinfo | grep -v charmaps | grep -v doc`; do
#   FTYPE=`file -b $RPM_BUILD_ROOT/usr/lib/s390$i`
#   if [ ":$FTYPE" != ":directory" ] ; then
#      echo /usr/lib/s390$i >> rpm.filelist
#   fi
#done
#
#set +
find $RPM_BUILD_ROOT/usr/lib/s390 -type d | xargs chmod 0755

%post 
/usr/lib/s390/usr/sbin/glibc_post_upgrade
echo "/usr/lib/s390/lib" >> /etc/ld.so.conf
echo "/usr/lib/s390/usr/lib" >> /etc/ld.so.conf
/sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf "$RPM_BUILD_ROOT"
rm -f *.filelist*

%files
%defattr(-,root,root)
/lib/ld.so.1
/usr/lib/s390/etc
/usr/lib/s390/lib
/usr/lib/s390/sbin
/usr/lib/s390/usr/bin/ldd
/usr/lib/s390/usr/bin/mtrace
/usr/lib/s390/usr/bin/xtrace
/usr/lib/s390/usr/lib/gconv
/usr/lib/s390/usr/libexec
/usr/lib/s390/usr/sbin/glibc_post_upgrade

%changelog
* Wed May 22 2002 Phil Knirsch <pknirsch@redhat.com>
- Fixed directory permission problems.

* Tue Mar 12 2002 Phil Knirsch <pknirsch@redhat.com>
- Removed devel and profile packages (not required for compat libs)
- Moved the remaining glibc-common stuff into glibc main package.

* Tue Feb 19 2002 Phil Knirsch <pknirsch@redhat.com>
- Updated to latest s390 glibc version (2.2.4-19.3c)

* Wed Jan 30 2002 David Sainty <dsainty@redhat.com>
- Removed release dependency on glibc-common; rebuilt.

* Wed Jul 4 2001 Dennis Bunfield <bunfield@redhat.com>
- Created 31 bit emulation rpm for zSeries

